: Class Password

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mortbay.Util
Class Password

    java.lang.Object
      |
      +--com.mortbay.Util.Password

public class Password
extends java.lang.Object

Get a password This utility class gets a password or pass phrase either by:

      + Password is set as a system property.
      + The password is prompted for and read from standard input
      + A program is run to get the password.

Passwords that begin with EXEC: are interpreted as a command, whose output is read.

Passwords that begin with OBF: are de obfiscated. Passwords can be obfiscated by run com.mortbay.Util.Password as a main class.

Version:
  1.0 Thu Aug 17 2000
Author:
  Greg Wilkins (gregw)
See Also:

Constructor Summary
`Password(java.lang.String name)` Constructor.
`Password(java.lang.String name, java.lang.String dft, java.lang.String promptDft)` Constructor.

Method Summary
`char[]` | `getCharArray()`
`static void` | `main(java.lang.String[] arg)`
`java.lang.String` | `toStarString()`
`java.lang.String` | `toString()`
`void` | `zero()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Password

    public Password(java.lang.String name)

  Constructor.
  Parameters:
    `name` -

### Password

    public Password(java.lang.String name,
                    java.lang.String dft,
                    java.lang.String promptDft)

  Constructor.
  Parameters:
    `name` -

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### toStarString

    public java.lang.String toStarString()

### getCharArray

    public char[] getCharArray()

### zero

    public void zero()

### main

    public static void main(java.lang.String[] arg)

  Parameters:
    `arg` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD